Sortie de Debian « Etch et demi »

Posté par (page perso) . Modéré par Florent Zara.
Tags :
0
28
juil.
2008
Debian
Ce 26 juillet, Debian publiait la quatrième version de la distribution stable actuelle : Debian GNU/Linux 4.0r4 « Etch ».

Comme d'habitude, cette nouvelle publication regroupe un certain nombre de mises à jour de sécurité et de corrections de bogues, qui avaient déjà été rendues disponibles sous forme de paquets sur les dépôts officiels pour les installations existantes.

En revanche alors que les mises à jour de la version stable de Debian se contentent habituellement de corriger des bogues, pour la première fois, cette publication comporte des ajouts de fonctionnalités. D'un genre particulier, toutefois : il s'agit de nouveaux pilotes matériels, afin de permettre d'installer Debian sur du matériel récent.

Notons par ailleurs que depuis quelques mois, les pages de recherche de paquets Debian prennent en compte le projet des rétroportages, qui permettait déjà aux utilisateurs le souhaitant d'installer des logiciels récents issus des branches de développement de Debian.

NdM : Des nouvelles images ISO estampillées Debian GNU/Linux 4.0r4 seront également prochainement disponibles. En outre, la prochaine version de Debian, surnommée Lenny et actuellement en cours de développement, est désormais gelée – ce qui signifie que les développeurs vont maintenant essentiellement s’atteler à la correction de dysfonctionnements dans l’optique de sa stabilisation prévue pour septembre prochain. Concrètement, cette publication « Etch and a half » (Etch et demi) propose une nouvelle version du noyau Linux, la 2.6.24. Le noyau 2.6.18 reste toutefois le choix par défaut.

Lors d'une nouvelle installation, si l'ordinateur cible contient du matériel non pris en charge par le noyau 2.6.18 d'Etch, l'installateur choisit un noyau 2.6.24.

Outre le noyau, cette publication comprend également une nouvelle version du serveur graphique X.org afin de prendre en charge de nouvelles cartes graphiques.

Aller plus loin

  • # Maestro ....

    Posté par . Évalué à 5.

    Si vous avez une puce ESS Maestro vous aurez un petit problème..... Le Mainteneur du Kernel a décidé de "virer" le blobs du kernel et donc ceus des Maestros. Résultat des courses. Le module est lancé mais pas de son car le Firmware a disparu!!!.
    Certe en teléchargeant et compilant le Firmare du site alsa-project on retrouve le son mais c'est d'un pratique.....
    • [^] # Re: Maestro ....

      Posté par . Évalué à 1.

      Si vous avez des cartes Broadcom NetXtreme II vous aurez un petit problème également... Il faut désormais installer le paquet firmware-bnx2 du dépot non-free...

      Egalement, drbd-0.7.25 ne compile plus avec le noyau 2.6.24. Je suis actuellement en recherche d'un patch ou solution pour pallier à ce problème.

      Il semblerait qu'il y ait quelques soucis avec les versions 8.2.X... Demi mise à jour sympa pour les systèmes serveurs (en particulier Dell)...
      • [^] # Re: Maestro ....

        Posté par (page perso) . Évalué à 2.

        Ces mises à jour ne sont-elles pas volontaires, justement, vu le mécanisme choisi par Debian ? Donc pour un système serveur, inutile de passer aux paquets etchnahalf.
        • [^] # Re: Maestro ....

          Posté par . Évalué à 1.

          C'était pour tester, les serveurs de tests c'est fait pour ça. Et puis cela permet de remplir le bugtracker des différents éléments concernés (ou pas, pour cas de la carte réseau broadcom un message explicite était affiché sur la note de publication de etch&half ).

          Cette question peut paraître bête mais en quoi le mécanisme choisi par Debian à avoir avec les mises à jour d'un système serveur ?
          • [^] # Re: Maestro ....

            Posté par (page perso) . Évalué à 2.

            Bon, alors, pour mettre à jour un serveur, on lance régulièrement :
            aptitude update && aptitude upgrade

            Pour bénéficier des corrections de la r4, il n'y a rien de plus à faire. Et pour installer les ajouts spécifiques, on doit faire des trucs du genre :
            aptitude install linux-image-...-etchnhalf

            Autrement dit, aucun risque pour les systèmes serveurs en production. Aucune risque pour les postes clients administrés «sagement ». Des risques pour les geeks qui jouent avec leur machine personnelle.

            L'installation volontaire de ces ajouts reste à mon avis peu intuitive, mais ça ne doit pas avoir la moindre importance, puisqu'il s'agit de prises en charge de nouveau matériel, sans intérêt pour les installations existantes. Ce qui est bien, c'est que pour les nouvelles installations qui en ont besoin, ça doit être automatique.
            • [^] # Re: Maestro ....

              Posté par . Évalué à 3.

              croire qu'installer quelque chose - même des correctifs - ne fait courir aucun risque, ça m'amuse assez.
      • [^] # Re: Maestro ....

        Posté par . Évalué à 6.

        Une petite erreur de français :
        nous devons dire "pallier ce problème", et non "pallier à ce problème".
  • # DEBIAN IS DYING !!!

    Posté par (page perso) . Évalué à -10.

    Si je comprends bien, Lenny est encore loin de sortir (au vu du joli graphes de bugs, je dirais que ce sera fin 2011 ou début 2012 si le rythme continue comme ça), alors on sort un nouveau correctif de bugs, en en profitant pour y glisser encore plus de drivers propriétaires pour essayer de contrer l'hégémonie des utilisateurs vers Ubuntu.

    Ca sent le sapin.
    • [^] # Re: DEBIAN IS DYING !!!

      Posté par (page perso) . Évalué à 10.

      Oui oui, et comme Debian va bientôt mourir, Ubuntu la suivra dans la tombe.
    • [^] # Re: DEBIAN IS DYING !!!

      Posté par . Évalué à -6.

      Je pense que tu comprends bien, et que tu es quelqu'un de très perspicace (bien que nous ne nous connaissons pas) : Debian is dying.

      Faire ça juste avant la sortie de Lenny, je ne vois pas l'intérêt. D'autant plus que :
      1) L'utilisateur peut tout à fait comprendre que son dernier matériel n'est pas supporté
      2) S'il veut vraiment Debian il patiente en utilisant Lenny, ou Ubuntu pour ensuite retourner à Debian
      3) Pour un serveur l'intérêt est plus que limité
      4) Pour un end-user ce qui l'intéresse c'est surtout les dernières versions des logiciels tiers.
    • [^] # Re: DEBIAN IS DYING !!!

      Posté par . Évalué à 5.

      Quoi ?? Lenny Kravitz est mort et on m'a pas prévenu ?
    • [^] # Re: DEBIAN IS DYING !!!

      Posté par . Évalué à 2.

      Lance le troll si ça t'amuse, par contre, de grâce, trouves-toi un bon prof de français :-)
    • [^] # Re: DEBIAN IS DYING !!!

      Posté par (page perso) . Évalué à 5.

      Sortir une version patchée de sa distribution, c'est quand même plus interressant que de laisser les gens installer "l'originale" puis appliquer les maj. Donc, ce type de release, sont je trouve très importantes et non rien à voir avec la version n+1 d'une distribution.

      Enfin, commencer la semaine avec autant de troll aussi gros est osé.

      Tiens et si je parlais de l'hégémonie de gentoo sur le reste du monde...
      • [^] # Re: DEBIAN IS DYING !!!

        Posté par (page perso) . Évalué à 2.

        > Enfin, commencer la semaine avec autant de troll aussi gros est osé.

        Désolé, je ne pensais pas qu'une telle nouvelle (plus très nouvelle, d'ailleurs, mais je l'ai appris aujourd'hui, alors bon) pouvait partir en troll. Il faut croire que le seul mot de « Debian » est un catalyseur de polémique. Ceci dit, c'est plutôt intéressant comme débat, donc j'en suis pour le moment ravi.

        --
        Tanguy, militant pour l'échange du lundi et du vendredi
        • [^] # Re: DEBIAN IS DYING !!!

          Posté par (page perso) . Évalué à 4.

          Il faut croire que le seul mot de « Debian » est un catalyseur de polémique.

          ll faut se mettre à la page : il fut un temps, c'était avec SuSE ; le troll principal concernant cette distrib étant mort (à savoir le caractère libre de YAST), les commentateurs de dlfp se sont tournés vers la distrib suivante la plus facile à critiquer.
          Enfin, moi je trouve ça très bien que des distribs comme Debian existent encore, c'est un peu comme Slackware ou LFS, des témoins du passé qui nous permettent de nous souvenir comment c'était au "bon vieux temps" !
          • [^] # Re: DEBIAN IS DYING !!!

            Posté par (page perso) . Évalué à 10.

            Aaaaargh, c'est fourbe, ça ! Commencer par des explications de fond, pour conclure, mine de rien, en enfonçant encore plus le troll... :-)
          • [^] # Re: DEBIAN IS DYING !!!

            Posté par (page perso) . Évalué à 3.

            Au fait, Launchpad n'est toujours pas libre, n'est-ce pas ? :-°
            • [^] # Re: DEBIAN IS DYING !!!

              Posté par . Évalué à 10.

              Ah si, lanchpad est libre.

              Demonstration :

              Distinguons bien les différentes catégories d'utilisateurs de launchpad :
              On a d'un coté les utilisateurs du service launchpad, ceux qui l'utilisent au travers de leur navigateur, et de l'autre les utilisateurs du logiciel launchpad, ceux qui le déploient sur leurs serveurs.

              Les utilisateurs du logiciel launchpad sont peu nombreux, en fait il n'y en a qu'un seul, qui se nomme Canonical.

              - Canonical a la liberté d'exécuter le programme, pour tous les usages.
              - Canonical a l'accès au code source.
              - Canonical a la liberté de redistribuer des copies.
              - Canonical a la liberté d'améliorer le programme et de publier ses améliorations.

              Tous les utilisateurs du logiciel launchpad ont donc bien les 4 libertés, Launchpad est donc un logiciel libre.

              Bon, pour certains hermétiques, je rajoute l'indispensable :o)
          • [^] # Re: DEBIAN IS DYING !!!

            Posté par (page perso) . Évalué à 10.

            T'as raison, le bon vieux temps où les distro dignes de ce nom étaient foutues de tourner sur plus de deux architectures...c'était quand même vachement bien !
          • [^] # Re: DEBIAN IS DYING !!!

            Posté par . Évalué à 4.

            "Enfin, moi je trouve ça très bien que des distribs comme Debian existent encore, c'est un peu comme Slackware ou LFS, des témoins du passé qui nous permettent de nous souvenir comment c'était au "bon vieux temps" !"
            Au moins Slackware c'est transparent et connaître Linux suffit pour connaître Slackware .
            Ubuntu (par exemple) c'est une boîte noire qui fait régresser Linux au mode Windows (GNOME, clickodrome, Suivant-Suivant-Fin, Adept) au quel on a ajouté une impression de sécurité (utilisateur non-root, mais le sudo est activé avec le mot de passe personnel) .
            • [^] # Re: DEBIAN IS DYING !!!

              Posté par . Évalué à 3.

              Je ne suis pas testeur de distribution et j'en ai installé rarement des distributions différents.

              Mais j'apprécie Debian pour plusieurs points, mais surtout, sa facilité de mise à jour.

              Lorsque par exemple j'ai voulu migré une fedora core x à une fédora x+1, je me suis retrouvé avec des problèmes de librairie de dépendance tout simplement aberrant (numéro de version de librairie X.y.z_A.b_c)

              Debian lui, se met à jour sans problème et il n'y pas vraiment de problème de numéro de version, l'arbre des dépendance est toujours le même quelque soit la version. (je suis en stable et je resterais toujours en stable et à jour)
              Et ca, c'est quand même que du bonheur

              Mais.
              J'avoue que je tombe peu à peu vers l'autre coté du libre avec FreeBsd tout de même :)
            • [^] # Re: DEBIAN IS DYING !!!

              Posté par (page perso) . Évalué à 5.

              clair : je suis en train de me prendre la tête pour un problème trop bête : déclarer une variable globale à tout le système [https://linuxfr.org/forums/10/25602.html].

              Sur une slack, une arch ou une gentoo : dans /etc/profile et ça roule.
              Sur ubuntu ? j'ai renseigné 7 ou 8 fichiers de conf différent, et ce n'est toujours pas pris en compte....

              ce commentaire est sous licence cc by 4 et précédentes

        • [^] # Re: DEBIAN IS DYING !!!

          Posté par (page perso) . Évalué à 4.

          Lorsque je parlais de troll je pensais pas au sujet de ta news mais plutot au commentaire de dyno partouzeur. Enfin il a le droit de préférer winbuntu à la mère patrie Debian ^^
  • # Pas vraiment une mise à jour de Xorg...

    Posté par (page perso) . Évalué à 6.

    Outre le noyau, cette publication comprend également une nouvelle version du serveur graphique X.org afin de prendre en charge de nouvelles cartes graphiques.

    Il ne s'agit pas vraiment d'une mise à jour de Xorg, mais simplement celle de deux drivers :
    * xserver-xorg-video-intel (nouveau)
    * xserver-xorg-video-nv (simplement mis à jour)

    Comme Xorg a été séparé (depuis la version 7.0), les drivers peuvent être mis à jour sans avoir à recompiler entièrement le serveur X. Cette mise à jour n'est donc pas trop intrusive et ne devrait pas affecter les utilisateurs utilisant des cartes ATI et autres.

    Olivier;
    • [^] # Re: Pas vraiment une mise à jour de Xorg...

      Posté par . Évalué à 3.

      > Comme Xorg a été séparé (depuis la version 7.0), les drivers peuvent être mis à jour sans
      > avoir à recompiler entièrement le serveur X.

      Il faut tempérer un peu ça, les interfaces entre modules évoluent de temps en temps. Et donc par exemple certains drivers ne compilent plus sur le vieux Xserver 1.1 et Etch (qui n'a pas été mis à jour ici).
  • # Yeah ! Du nouveau matos !

    Posté par . Évalué à 5.

    Ca faisait un moment que cette initiative de la stable-et-demi faisait parler d'elle, mais c'est une bonne nouvelle que ça se concrétise.

    Par contre, si davantage de paquets apportant du nouveau support matériel pouvaient y être inclus, ce serait top...

    ... exemple : lcdproc ... en 0.4.5-1.1 dans Etch... et dans Lenny, jusqu'ici... mouais... et bien il y a de gros risques qu'il n'évolue pas de Etch à Lenny... Bon, soit : sauf que plein de LCD/OLED/..., qui se trouvent maintenant sur le marché, ne fonctionnent qu'avec un lcdproc>=5.0 (par exemple, mon OLED/récepteur IR IMON, loin d'être jeune, mais du plus bel effet sur mon HTPC... et il y en a plein d'autres)... si ça pouvait rejoindre Debian avant le successeur de Lenny, je ne cracherais pas dessus.

    Le module pour faire marcher ce petit machin (lirc_imon) a beau être fourni comme il faut dans LIRC (enfin, sous forme d'un paquet source ; mais en faisant un petit coup de dpkg-reconfigure et de m-a, la compilation des modules qu'il faut s'automatise bien), il faut un démon plus récent pour profiter de l'écran, et pas seulement du récepteur IR... Bon, jusqu'ici, je l'ai compilé comme un grand (sous Etch), puis, je suis passé en Sid (par fainéantise)...



    Enfin, ça permettra toujours d'installer une Etch sur une machine avec une mobo récente sans galérer avec les contrôleurs disques et ce genre de bazar de base, et en ayant un kernel supporté selon les standards de "stable"... ce qui est déjà d'une utilité remarquable.

    ... mais, sans vouloir descendre cette bonne initiative de stable-et-demi, au contraire, en voulant la critiquer constructivement, ce serait vraiment bien de voir tous les paquets apportant le support de nouveau matos rejoindre une stable-et-demi (après tout, ils font bien venir X.org, ce qui est bel et bon, X.org 7.1 étant plutôt très lent en opengl sur mon LCD Full-HD, avec une X800 à drivers libres... pourquoi pas tout ce qui relève du nouveau support ? Après tout, c'est quoi, des trucs comme lcdproc à côté du masto-clicko-donte ? )...
  • # On n'y comprend plus rien

    Posté par . Évalué à 7.

    Alors la version stable c'est Etch c'est ça ?
    Etch et demi c'est pour signifier que c'est à 50% stable, ou à 150% ?
    Et pourquoi pas Etch et guevara pour signifier que c'est une distribution de communistes ?

    Quant à l'installation sur du matériel récent, c'est vraiment génial, on va pouvoir installer Debian sur des PIII \o/
    • [^] # Re: On n'y comprend plus rien

      Posté par . Évalué à 2.

      je trouve que ca va très bien avec KDE 3.5, moi :)
    • [^] # Re: On n'y comprend plus rien

      Posté par (page perso) . Évalué à 0.

      Etch et demi, à mon avis, c'est surtout parce que techniquement, il fallait y donner un nom. Sinon, ça reste Etch, mise à jour 4.

      Bien trouvé, Etch et Guevara, pas mal, ça fait penser à etcætera.
      • [^] # Re: On n'y comprend plus rien

        Posté par . Évalué à 2.

        Non, c'est beaucoup plus que Etch mise à jour 4 vu qu'il y a du support matériel ajouté et pas seulement des mises jour de sécurité comme dans les autres mises à jour. Il suffit de lire le message d'annonce pour comprendre un peu, au lieu de troller au pif...
        • [^] # Re: On n'y comprend plus rien

          Posté par (page perso) . Évalué à 3.

          Autant que je sache, les paquets qui apportent de nouvelles prises en charge doivent être installés volontairement. Donc c'est Debian GNU/Linux 4.0r4 plus des bonus facultatifs.
          • [^] # Re: On n'y comprend plus rien

            Posté par . Évalué à 1.

            Non, par exemple les nouveaux xserver-xorg-video-intel et -nv viennent automatiquement comme toute mise à jour normale, pas besoin de demander explicitement pour avoir du support de plus de cartes graphiques intel ou nvidia.
            • [^] # Re: On n'y comprend plus rien

              Posté par . Évalué à 2.

              Je suis pas assez réveillé, -intel est un nouveau paquet, il ne vient pas à l'upgrade de -i810 (qui n'a pas été changé).
          • [^] # Re: On n'y comprend plus rien

            Posté par . Évalué à 1.

            Non, par exemple xserver-xorg-video-nv sera mis à jour automatiquement.
  • # I bot un d'mi

    Posté par (page perso) . Évalué à 3.

    « Etch et demi »

    C'est du chti? ;)
  • # Commentaire supprimé

    Posté par . Évalué à -8.

    Ce commentaire a été supprimé par l'équipe de modération.

    • [^] # Re: J'aime bien Debian mais...

      Posté par (page perso) . Évalué à 4.

      Bizarre, je n'ai jamais eu ces problèmes. Ni avec Sarge, ni avec Etch, ni avec Lenny.
    • [^] # Re: J'aime bien Debian mais...

      Posté par . Évalué à -1.

      "ça fait je ne sais pas combien de temps que je cherche à réserver des billets sur le site voyages-sncf.com sous Debian"
      Masochiste .
      "Je n'arrive pas non plus à accéder à mes mails dans le webmail d'orange"
      Idem .
      Pour réserver des billets il y a les gares, et pour lire des mails il y a des logiciels spécifiques comme Thunderbird (sur le site d'Orange il doit bien traîner quelque part un "Comment utiliser votre boîte sous Bouffe-Virus Outlook Express") .
      • [^] # Re: J'aime bien Debian mais...

        Posté par (page perso) . Évalué à 3.

        Pour Voyages-SNCF, pas d'accord, quand on veut voyager, c'est ça ou aller à la gare acheter ses billets, et la gare, parfois, c'est loin. Ceci dit, leur site est moisi, en effet.

        Le webmail d'Orange, ils l'ont changé il y a peu de temps, et c'est bien pire qu'avant. Dans l'affichage d'une boîte aux lettres, les messages sont des liens vers la boîte au lettre elle-même, et c'est le script onclick qui lance en fait le passage à la page du message. Donc impossible à ouvrir dans un nouvel onglet, inaccessible sans JavaScript, bref, de la merde.

        Pas de bol, LaPoste.net a en même temps acheté ce même webmail. Et le comble, c'est que ce webmail a l'air d'aller de pair avec un serveur POP tout aussi merdique, en particulier très lent. Et bon courage pour aller contacter le support Orange ou La Poste…
        • [^] # Re: J'aime bien Debian mais...

          Posté par (page perso) . Évalué à 3.

          Ah oui, et puis évidemment, comme la plupart des fournisseurs de messagerie, ils n'ont jamais entendu parler d'SSL ou de TLS. Trop dur pour eux, ou peut-être pour leurs processeurs (c'est vrai, les processeurs n'ont jamais été aussi cher qu'aujourd'hui…).

          Le plus marrant, c'est la redirection https://webmail.orange.fr vers http://webmail.orange.fr. On a l'impression de s'entendre dire : « Ah, oui, SSL, on a ça, en effet. Ah, mais non, c'est trop bien pour vous, ça! Allez hop, en clair, comme tout le monde. Non mais, pour qui vous vous prenez ? ».
          • [^] # Re: J'aime bien Debian mais...

            Posté par . Évalué à 2.

            Yahoo! Mail fait encore mieux, il y a authentification sécurisée mais après les messages personnels transitent forcément en clair .
            Mais si on active l'accès à POP3, on a le droit au chiffrage SSL sur POP3 (!)
            • [^] # Re: J'aime bien Debian mais...

              Posté par (page perso) . Évalué à 6.

              Et bien, c'est très bien, le POP3 sur SSL !

              Non, le mieux, c'est Orange, parce qu'en fait, quand on va sur https://webmail.orange.ecp.fr, on arrive sur une page HTTPS tout à fait correcte, qui redirige immédiatement vers la page d'authentification... en HTTP ! Ensuite, une fois authentifié, on peut accéder à ses messages en HTTS si on veut. Bref : HTTPS partout si on veut, sauf pour l'authentification. Joli, non ?
              • [^] # Re: J'aime bien Debian mais...

                Posté par (page perso) . Évalué à 3.

                je suppose que tu parlais plutôt de https://webmail.orange.fr/ en revanche tout n'a pas l'air très correct, moi j'ai un joli :
                Secure Connection Failed
                webmail.orange.fr uses an invalid security certificate.
                The certificate is only valid for webmailssl.orange.fr
                (Error code: ssl_error_bad_cert_domain)

                ce qui me fait penser que celui qui a installé cela n'a pas complètement compris comment ça peut marcher et pourquoi un autre sous-domaine n'est pas nécessaire... (sans doute demandé par le marketing ?).
    • [^] # Re: J'aime bien Debian mais...

      Posté par . Évalué à 2.

      Ben chez moi en Debian testing depuis 5 ans ces 2 actions ont toujours fonctionné parfaitement...

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.